TransactionVerificationException.ConstraintPropagationRejection
Keywords: net.corda.core.contracts.TransactionVerificationException.ConstraintPropagationRejection class
Date: 2023-09-18

net.corda.core.contracts

## Class TransactionVerificationException.ConstraintPropagationRejection

- Enclosing class:
    TransactionVerificationException

      public static class TransactionVerificationException.ConstraintPropagationRejection

  This exception happens when a transaction was not built correctly. When a contract is not annotated with `annotationclass NoConstraintPropagation`, then the platform ensures that the constraints of output states transition correctly from input states.

  See Also:
    `annotationclass NoConstraintPropagation`

- - ### Constructor Detail

    - #### ConstraintPropagationRejection

          public ConstraintPropagationRejection(@NotNull
                                                SecureHash txId,
                                                @NotNull
                                                java.lang.String message)

      This exception happens when a transaction was not built correctly. When a contract is not annotated with `annotationclass NoConstraintPropagation`, then the platform ensures that the constraints of output states transition correctly from input states.

      See Also:
        `annotationclass NoConstraintPropagation`

    - #### ConstraintPropagationRejection

          public ConstraintPropagationRejection(@NotNull
                                                SecureHash txId,
                                                @NotNull
                                                java.lang.String contractClass,
                                                @NotNull
                                                AttachmentConstraint inputConstraint,
                                                @NotNull
                                                AttachmentConstraint outputConstraint)

  - ### Method Detail

    - #### getContractClass

          @NotNull
          public java.lang.String getContractClass()

      The fully qualified class name of the failing contract.